<?php

if (!eregi("mod.php", $PHP_SELF)) { die ("عفوا هذه العملية غير مشروعة"); }

echo "<table border=0 width=80% cellspacing=2 cellpadding=6><tr>
<td align=right class=datacell>
<b>سيتم إلغاء تثبيت البرنامج الان ...</b><br><br>";

$query = array();
$query[] = "DELETE from rafia_mods where id='$modid' and mod_name='$module'";
$query[] = "DROP TABLE IF EXISTS rafia_faqcategories";
$query[] = "DROP TABLE IF EXISTS rafia_faqs";

foreach($query as $line){
$k++;
if(!mysql_query($line)) {
$query_cid = $k;
echo "<table>";
echo "<tr>";
echo "<td><b>عفوا حدث خطأ: </b> عفوا .. الاستعلام رقم  $query_cid  لم يتم تفعيله وذلك بسبب:.<br>\n</td>";
echo "</tr>";
echo "<tr>";
print "<td dir=ltr>" . mysql_error() . '</td>';
echo "</tr>";
echo "<tr>";
echo "<td><b>نص الاستعلام :</b></td>";
echo "</tr>";
echo "<tr>";
echo "<td align=left>$line</td>";
echo "</tr>";
$admin->closetable2();

print "<hr noshade size=\"1\">\n";
$false = true;
}
}

if(!$false == true){
$modid      = $admin->format_data($apt->get[modid]);
$apt->query("delete FROM rafia_mods_templates where modid='$modid';");
$apt->query("DELETE from rafia_mods_settings where set_mod='$module';");
}

if($false == true){$wrong='انتهى إلغاء التثبيت و لكن ظهرت بعض الاخطاء ... يرجى طلب الدعم الفني مع ذكر رسالة الخطأ ورقم الاستعلام';}else{
$wrong='انتهى الغاء التثبيت بنجاح';}

echo "<center>$wrong<br><hr><a href=mod.php?act=set&" . $admin->get_sess(). "><b>العودة الى قائمة البرامج الاضافية</b></a></center></td></tr></table>";

?>